#include "../bootpack.h"

#ifndef DEBUG_MESSAGE
Message* Message::create(int type, int arg1, int arg2, int arg3, int arg4) {
	Message* msg = new Message;
	msg->type = type;
	//msg->from = taskID;
	msg->from = 0;
	msg->arg1 = arg1;
	msg->arg2 = arg2;
	msg->arg3 = arg3;
	msg->arg4 = arg4;
}
#else
Message& Message::create(int type, int arg1, int arg2, int arg3, int arg4) {
	static Message msg;
	msg.type = type;
	//msg.from = taskID;
	msg.from = 0;
	msg.arg1 = arg1;
	msg.arg2 = arg2;
	msg.arg3 = arg3;
	msg.arg4 = arg4;
	return msg;
}
#endif

void Message::send(int to, Message& msg) {
	g_taskctl->send_message(to, msg);
}
